<?php

ini_set('display_errors', 1);
ini_set('error_reporting', 1);

define('MODX_API_MODE', true);
require 'index.php';

$modx->getService('error','error.modError');
$modx->setLogLevel(modX::LOG_LEVEL_FATAL);
$modx->setLogTarget(XPDO_CLI_MODE ? 'ECHO' : 'HTML');
$modx->error->message = null;

$msProductRemains = $modx->getService('msproductremains','msProductRemains', MODX_CORE_PATH . 'components/msproductremains/model/msproductremains/', array());
if (!($msProductRemains instanceof msProductRemains)) die('msPoductRemains not found');

$option = $modx->getOption('msproductremains_option', $config, null);
if ( !empty($option) ) $modx->setOption('mspr_options', $option);
$ids = $modx->getChildIds(0, 100, array('class_key' => 'modResource'));
foreach ( $ids as $id ) {
	$res = $modx->getObject('modResource', $id);
	if ( $res->get('class_key') !== 'msProduct' ) continue;
	$mspr = $res->get('properties')['msproductremains'];
	foreach ( $mspr as $key => $val ) {
		$remains[] = array(
			'id' => $id
			,'option' => ( $key !== 'all' ) ? $key : ''
			,'remains' => $val
		);
	}
}
foreach ( $remains as $rem ) {
	$options = array();
	if ( !empty($rem['option']) ) $options[$option] = $rem['option'];
	$new = $modx->newObject('msprRemains', array(
		'product_id' => $rem['id']
		,'options'   => $modx->toJSON($options)
		,'remains'   => $rem['remains']
	));
	$new->save();
}

echo 'Done!';

?>